%define name Chinput
%define ver 3.0.2
%define release 2mdk

Summary: A X Input Method Server for Chinese
Name: %{name}
Version: %{ver}
Release: %{release}

License: GPL
Group: System/Internationalization
Requires: locales-zh, unicon-input
#  was http://go8.163.com/~yumingjian/download/chinput-3.0.2.tar.bz2
Source: chinput-3.0.2.tar.bz2
Patch0: chinput-mdk.patch.bz2
# patch to make Chinput work in all Chinese locales (that is, also
# with 'zh_HK' and 'zh_SG' -- pablo
Patch1: chinput-zh_locales.patch.bz2
BuildRequires: libimlib1-devel pth-devel unicon-devel XFree86-devel
Prefix: %{_prefix}
Buildroot: %_tmppath/%name-%version-%release-root

%description

Chinput is an X Input Method allowing to type in chinese in X applications that
follow the XIM input method standard.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1
%patch1 -p1 -b .zh_locales

%build
make

%install

make install prefix=$RPM_BUILD_ROOT/usr

install -d %buildroot/%_iconsdir
install -m644 src/icons/chinput.xpm %buildroot/%_iconsdir

install -d %buildroot/%_sysconfdir/chinese
ln -s /usr/lib/ZWinPro/Chinput.ad %buildroot/%_sysconfdir/chinese/Chinput.ad

%post
# gbrxvt will use the chinput as the input server for GB2312 users.
if [ -r /usr/X11R6/bin/rxvt ]; then
    if [ -f /usr/X11R6/bin/rxvt ]; then
            perl -pi -e "s/xcin-zh_CN.GB2312/Chinput/g" /usr/X11R6/bin/rxvt
    fi
fi

%clean

rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc doc/*
%_sysconfdir/chinese/Chinput.ad
/usr/bin/chinput
/usr/bin/kpengine
/usr/lib/ZWinPro
%_iconsdir/*.xpm

%changelog
* Wed Mar 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 3.0.2-2mdk
- allow to run on all Chinese locales

* Tue Dec 04 2001 Du Xiaoming <dxiaoming@mandrakesoft.com> 3.0.2-1mdk
- Upgraded to 3.0.2
- Recompilation against the unicon-im 

* Sun Oct 10 2001 Jesse Kuang <kjx@mandrakesoft.com> 3.0.1-7mdk
- rebuilt against libpng.so.3 and unicon-input

* Sun Oct 07 2001 Jesse Kuang <kjx@mandrakesoft.com> 3.0.1-6mdk
- rebuilt for libpng

* Sun Aug 26 2001 Jesse Kuang <kjx@mandrakesoft.com> 3.0.1-5mdk
- X11R6 not include GBK locale yet, change chinput.gblocale to zh-CN.GB2312
- fixes bug in script for %post

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 3.0.1-4mdk
- BuildRequires: imlib-devel pth-devel

* Fri Jul 20 2001 Jesse Kuang <kjx@mandrakesoft.com> 3.0.1-3mdk
- remove stdlibc++ symlink

* Sat Jun 30 2001 Jesse Kuang <kjx@mandrakesoft.com> 3.0.1-2mdk
- add userphrase saving,special thanks to luyou from
- change the makefile of the chinput so it can work
- with unicon-3.0.3-3mdk rpm, also change the Chinput.ad
- so it can work with mdk
- More work need to do is that install the Chinput.ad according
- to different platform

* Mon May  7 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 3.0.1-1mdk
- First version for Mandrake
